<?php
header("Content-Type: text/html; charset=utf-8");
use_helper('UrlFunctions');


$_POST['datos']['metodo'] 			= $metodo;
$_POST['datos']['cboEstado'] 		= $cboEstado;
$_POST['datos']['idEmpresa'] 		= $idEmpresa;
$_POST['datos']['idPrestamo'] 		= $idPrestamo;
$_POST['datos']['token'] 			= "89nm75nh788";

if(myUser::getUser()->getRoleId() == "sys.gen"){
	$_POST['datos']['verNombreEmpresa'] 			= "1";
}else{
	$_POST['datos']['verNombreEmpresa'] 			= "";
}

//echo $cboEstado."<br>";
//echo $Titulo;

if(isset($_POST) && is_array($_POST) && count($_POST) > 0 && isset($_POST['datos']['token']) && $_POST['datos']['token'] != '') {

    $data_string = json_encode($_POST);

    //echo "POST: <br>";
    //print_r($_POST);

    //echo "<br>data: <br>";
    //echo $data_string;

    $ch = curl_init('http://elitodontologico.com/ibp-admin/ws/ws.php');

    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
            'Content-Type: application/json',
            'Content-Length: ' . strlen($data_string))
    );
    curl_setopt($ch, CURLOPT_TIMEOUT, 900);
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 500);

//execute post
    $result = curl_exec($ch);

//close connection
    curl_close($ch);

    //echo "<br>RESULTADO: <br>";
    //var_dump($result);
   // echo $result;
    
    $json = json_decode($result,true);
    /*
    echo "<pre>";
    print_r($json);
    echo "</pre>";
    */
    //echo "<pre>";
    //print_r($json["resultado"]["resultados"]);
    $resultados = $json["resultado"]["resultados"];
    //print_r($resultados);
    //echo "</pre>";?>
    
    <?php 
    
     	
	    //print_r($json["resultado"]["resultados"]);
	    $o_prestamo = $resultados['prestamo'];
	    $a_pagos = 		$resultados['pagos'];
	    ?>
	    
	    <table  border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
			    <table class="marco" width="100%">
			      <tr>
			          <td width="30%">
			          <p><strong>F.Inicio: </strong><label class="label"><?=$o_prestamo['FechaInicio'];?></label></p>
			        </td>
			        <td width="40%">
			          <p><strong>F.Final: </strong><label class="label"><?php echo $o_prestamo['FechaVencimiento'];?></label></p>
			        </td>
			       <td>
			          <p><strong>Interes:	</strong><label class="label"><?=$o_prestamo['InteresPorcentaje']?>%</label></p>
			        </td>
			      </tr>
			      <tr>
			      	  <td width="30%">
			          <p><strong>Monto Prestado: </strong><label class="label"><?=$o_prestamo['MontoPrestamo'];?></label></p>
			        </td>
			        <td width="40%">
			          <p><strong>Monto Total: </strong><label class="label"><?php echo number_format($o_prestamo['MontoPrestamo']*(($o_prestamo['InteresPorcentaje']/100)+1),2);?></label></p>
			        </td>
			        
			        <td nowrap>
			          <p><strong>Saldo: </strong><label class="label"><?=$o_prestamo['SaldoPrestamo']?></label></p>
			        </td>
			      </tr>
			    
			    </table>
			  </tr>
			  <tr>
			    <td>
			      <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
			        <tr height="35">
			          <th width="1%" align="center">No.</th>
			          <th width="5%" align="center">Fecha Pago</th>
			          <th width="5%" align="center">Monto</th>
			          
			        </tr>
			  <?php
    			foreach($a_pagos as $key2 => $a_pago) {
	    		?>
	    			<tr style="background:<?php echo ($key2%2==0)?"#ECECEC":"#ffffff";?>">
				        <td align="center"><?echo $key2;?></td>
				        <td align="center"><?=$a_pago['FechaPago']?></td>
				        <td align="center"><?=$a_pago['MontoPago']?></td>
				        
				        
				      </tr>	
				  <?php
    			}
				?>
		      </table>
		    </td>
		  </tr>
		</table>
	<?php

}